@import "./bootstrap.css";

* {
    font-family: "gantari", sans-serif;
    font-weight: 400;
}

body {
    font-family: "gantari", sans-serif;
    background-color: #ffffff;
    color: #484f56;
    margin: 0;
    padding: 0;
}

header,
main,
footer {
    padding: 0px;
    margin: 0px;
}
header.affix {
    position: fixed;
    background-color: #001b2d;
    padding: 5px 0px;
    animation: entrance-fade-in-down 300ms ease 0s 1 normal none;
}
header.affix-top {
    padding: 30px 0px;
}
header {
    padding: 30px 0px;
    position: absolute;
    width: 100%;
    z-index: 9998;
}
header a {
    font-size: 16px;
    color: #ffffff;
    text-transform: uppercase;
    letter-spacing: 1px;
}
header a:hover {
    color: #b7916d;
}
header .btn-menu-fullscreen {
    background-color: #b7916d;
    padding: 15px 11px;
}
header .btn-menu-fullscreen:hover {
    background-color: #002840;
}
header .logo {
    width: 100%;
    max-width: 196px;
    min-height: 85px;
    background-image: url(../img/logo-rafain-hote-convention.svg);
    background-size: contain;
    background-repeat: no-repeat;
    text-indent: -9999px;
}
header.affix .logo {
    width: 100%;
    max-width: 230px;
    min-height: 36px;
    background-image: url(../img/logo-rafain-hotel-horizontal.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

footer {
    background-image: url(../img/bg-3.jpg);
    background-color: #2b2a26;
    background-size: cover;
    padding: 146px 0px 80px 0px;
}
footer .page-title,
footer .page-title span {
    color: #ffffff;
}
footer .phones {
    color: #ffffff;
    font-size: 24px;
    font-weight: 600;
    text-align: start;
}
footer .nav {
    text-align: start;
}
footer .nav .title {
    font-size: 20px;
    line-height: 62px;
    letter-spacing: 2px;
    color: #ffffff;
    font-weight: 600;
    text-transform: uppercase;
}
footer .nav a {
    display: block;
    font-size: 18px;
    line-height: 33px;
}
footer .copyright {
    text-align: start;
    font-size: 18px;
    color: #b7916d;
}

/* MENU */
#menu-fullscreen {
    animation: entrance-fade-in-down 300ms ease 0s 1 normal forwards;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
}
/*left*/
#menu-fullscreen .side-left {
    background-color: rgba(0, 31, 45, 0.85);
    width: 70%;
    height: 100%;
    float: left;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    padding: 80px 80px 80px 130px;
}
#menu-fullscreen .btn-close-menu {
    mask-image: url(../img/icon-cancel.svg);
    background-color: #ffffff;
    width: 63px;
    height: 63px;
    border: solid 2px #ffffff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 1;
    cursor: pointer;
    text-indent: -9999px;
}
#menu-fullscreen .btn-close-menu:hover {
    background-color: #b7916d;
}
#menu-fullscreen .head {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}
#menu-fullscreen .logo {
    width: 100%;
    text-align: center;
}
#menu-fullscreen .logo img {
    width: 100%;
    max-width: 270px;
    height: auto;
}
#menu-fullscreen .links {
    margin-top: 70px;
}
#menu-fullscreen .links a {
    display: block;
    font-size: 40px;
    line-height: 60px;
    color: #ffffff;
    font-weight: 100;
}
#menu-fullscreen .links a:hover {
    color: #b7916d;
}
.language {
    display: flex;
    align-items: center;
    color: #ffffff;
    padding: 0 15px;
    cursor: pointer;
}
.language:hover {
    color: #b7916d;
}
.language .selected {
    font-size: 11px;
    text-transform: uppercase;
}
.language .selected::after {
    content: "";
    display: inline-flex;
    width: 16px;
    height: 7px;
    mask-image: url(../img/icon-select-arrow.svg);
    background-color: #ffffff;
    mask-position: center;
    margin-left: 10px;
}
.language .lng-select {
    margin-left: 5px;
}
.language ul {
    animation: entrance-fade-in-down 300ms ease 0s 1 normal none;
    display: none;
    position: absolute;
    list-style: none;
    margin: 10px -15px;
    padding: 0;
}
.language ul li a {
    padding: 5px 15px;
    display: block;
    width: 100%;
    height: 100%;
    background: transparent;
}
.language ul li a:hover {
    background: rgb(183 145 109 / 10%);
}
.btn-book-menu {
    display: flex;
}
.btn-book-menu .text {
    padding: 0 27px;
    text-transform: uppercase;
    font-size: 14px;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn-book-menu:hover .text {
    background-color: #b7916d;
}
.btn-book-menu .icon {
    display: flex;
    width: 48px;
    height: 48px;
    background-color: #b7916d;
    align-items: center;
    justify-content: center;
}
/*right*/
#menu-fullscreen .side-right {
    background-color: #001b2d;
    width: 30%;
    height: 100%;
    float: left;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: start;
    padding: 75px;
}
#menu-fullscreen .address {
    color: #d9d9d9;
    font-size: 18px;
}
#menu-fullscreen .address a {
    color: #d9d9d9;
    font-size: 18px;
    display: block;
}
#menu-fullscreen .address a:hover {
    color: #b7916d;
}

/* ALL TEMPLATE */
a {
    color: #b7916d;
    text-decoration: none;
    transition: all 0.3s ease;
}
a:hover {
    color: #ffffff;
    text-decoration: none;
}
.w-70 {
    width: 70%;
}
.btn-theme-1 {
    font-size: 18px;
    background-color: #b7916d;
    color: #ffffff;
    border: #b7916d solid 1px;
    padding: 18px 50px;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 2px;
    border-radius: 2px;
    transition: background-color 0.3s ease;
    display: inline-flex;
}
.btn-theme-1:hover {
    background-color: #9e7c5c;
    border: #9e7c5c solid 1px;
}
.btn-theme-2 {
    font-size: 18px;
    background-color: #ffffff;
    color: #b7916d;
    border: none;
    padding: 18px 50px;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 2px;
    border-radius: 2px;
    transition: background-color 0.3s ease;
    align-items: center;
    display: inline-flex;
}
.btn-theme-2:hover {
    background-color: #b7916d;
    color: #ffffff;
}
.btn-theme-2:has(.ico-arrow-right) {
    padding: 18px 20px 18px 50px;
}
.btn-theme-3 {
    font-size: 18px;
    background-color: #484f56;
    color: #ffffff;
    border: none;
    padding: 18px 50px;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 2px;
    border-radius: 2px;
    transition: background-color 0.3s ease;
    align-items: center;
    display: inline-flex;
}
.btn-theme-3:hover {
    background-color: #2c3034;
    color: #ffffff;
}
.btn-theme-4 {
    font-size: 18px;
    background-color: transparent;
    color: #b7916d;
    border: solid 1px #b7916d;
    padding: 18px 50px;
    text-transform: uppercase;
    font-weight: 500;
    letter-spacing: 2px;
    border-radius: 2px;
    transition: background-color 0.3s ease;
    align-items: center;
    display: inline-flex;
}
.btn-theme-4:hover {
    background-color: #b7916d;
    color: #ffffff;
}
.ico-arrow-right {
    display: inline-block;
    align-items: center;
    width: 24px;
    height: 24px;
    mask-image: url(../img/arrow-right.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #b7916d;
    margin-left: 10px;
}
.icon:hover {
    background-color: #b7916d;
}
.icon-facebook {
    display: inline-block;
    align-items: center;
    width: 30px;
    height: 30px;
    mask-image: url(../img/icon-facebook.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #ffffff;
}
.icon-instagram {
    display: inline-block;
    align-items: center;
    width: 30px;
    height: 30px;
    mask-image: url(../img/icon-instagram-circle.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #ffffff;
}
.icon-youtube {
    display: inline-block;
    align-items: center;
    width: 30px;
    height: 30px;
    mask-image: url(../img/icon-youtube.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #ffffff;
}
.icon-tripadvisor {
    display: inline-block;
    align-items: center;
    width: 30px;
    height: 30px;
    mask-image: url(../img/icon-tripadvisor.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #ffffff;
}
.icon-whatsapp {
    display: inline-block;
    align-items: center;
    width: 30px;
    height: 30px;
    mask-image: url(../img/icon-whatsapp-circle.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #ffffff;
}
.icon-star-3 {
    display: inline-block;
    align-items: center;
    width: 16px;
    height: 16px;
    mask-image: url(../img/icon-star-3.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #b7916d;
    margin: 0 3px;
}
.icon-arrow-right {
    display: inline-block;
    align-items: center;
    width: 71px;
    height: 71px;
    mask-image: url(../img/icon-arrow.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #b7916d;
}
.icon-arrow-left {
    display: inline-block;
    align-items: center;
    width: 71px;
    height: 71px;
    mask-image: url(../img/icon-arrow.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    background-color: #b7916d;
    transform: rotate(180deg);
}
.icon-arrow-left:hover,
.icon-arrow-right:hover {
    background-color: #00109f;
}
.page-title {
    color: #001b2d;
    font-size: 65px;
    line-height: 70px;
}
.page-title span {
    color: #b7916d;
    font-size: 14px;
    line-height: 22px;
    text-transform: uppercase;
    display: block;
    margin-top: 10px;
}
.text-description {
    font-size: 18px;
    line-height: 32px;
}

.section-title-1 {
    color: #00109f;
    font-size: 40px;
    font-weight: 500;
    line-height: 50px;
}

.stars {
    display: flex;
    flex-direction: row;
}
.stars span {
    display: block;
    width: 16px;
    height: 16px;
    margin: 0 2px;
    background-image: url(../img/icon-star-3.svg);
    background-size: contain;
    background-repeat: no-repeat;
}
.stars span:nth-child(-n + 5) {
    display: block;
}

.b-color-1 {
    border-color: #b7916d !important;
}

.px-6 {
    padding-right: 8rem !important;
    padding-left: 8rem !important;
}

.pe-6 {
    padding-right: 8rem !important;
}

/* elements */
.elements.element-1::before {
    content: "";
    display: block;
    position: absolute;
    margin-left: 75px;
    margin-top: 90px;
    border-top: #b7916d 1px solid;
    padding-top: 10px;
    width: 220px;
    height: 1360px;
    background-image: url(../img/elements_1.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 0 30px;
}
.elements.element-2::before {
    content: "";
    display: block;
    position: absolute;
    width: 525px;
    height: 195px;
    background-image: url(../img/elements_2.svg);
    background-size: contain;
    background-repeat: no-repeat;
    right: 0;
    margin-top: -50px;
    z-index: 1;
}
.elements.element-3::before {
    content: "";
    display: block;
    position: absolute;
    width: 243px;
    height: 1307px;
    background-image: url(../img/elements_1.svg);
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 1;
    transform: rotate(-90deg);
    left: 465px;
    top: -165px;
}
.elements.element-4::before {
    content: "";
    display: block;
    position: absolute;
    width: 320px;
    height: 1362px;
    background-image: url(../img/elements_3.svg);
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 0;
}

/* sections */
div[class^="section-"] .row {
    margin: 0;
}

.section-about {
    background: linear-gradient(
        to bottom,
        rgba(183, 145, 109, 0.1) 75%,
        white 25%
    );
    padding: 85px 70px;
}
.section-about .page-title span {
    color: #484f56;
    margin-bottom: 5px;
}
.section-about .text-description {
    margin-top: 70px;
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
    column-gap: 120px;
    -webkit-column-gap: 120px;
    -moz-column-gap: 120px;
}

.section-rooms {
    position: relative;
    z-index: 1;
}
.section-rooms .text-rooms {
    z-index: 2;
    width: 580px;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
}
.section-rooms .content-text-rooms {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(255, 255, 255, 0.8);
    padding: 60px 75px 60px 60px;
    height: 70%;
    align-items: center;
    display: flex;
}
.section-rooms .text-rooms .title {
    font-size: 55px;
    line-height: 58px;
}
.tns-horizontal.tns-subpixel > .tns-item {
    position: relative;
}

.section-experiences {
    padding: 150px 0px;
}
.section-experiences .content-experiences {
    display: grid;
    height: 100%;
    padding: 15px 0;
}
.section-experiences .content-experiences .title {
    font-size: 36px;
    line-height: 40px;
    letter-spacing: 3px;
    text-transform: uppercase;
}
.section-experiences .slide-exp-text {
    display: flex;
    align-items: end;
}
.section-experiences .slider-experiences {
    position: relative;
    z-index: 2;
}

.section-book {
    background-image: url(../img/bg-1.jpg);
    padding: 85px 0px;
    margin-top: -10px;
}
.section-book .page-title {
    font-size: 50px;
    line-height: 55px;
}
.section-book .page-title.phone span {
    font-size: 14px;
    line-height: 22px;
    color: #484f56;
    margin: 0;
}
.section-book .phone-number {
    font-size: 21px;
    line-height: 21px;
    font-weight: 600;
    margin-top: 1px;
    color: #b7916d;
}

.section-newsletter {
    padding: 77px 0px 105px 0;
    background-color: #001b2d;
}
.section-newsletter .page-title {
    color: #ffffff;
    font-size: 60px;
    line-height: 65px;
    font-weight: 200;
}
.section-newsletter .input-newsletter {
    border: none;
    border-bottom: solid 2px #484f56;
    color: #484f56;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 15px;
    width: 405px;
    background-color: transparent;
}

.section-amenities {
    padding: 160px 0;
    background-image: url(../img/bg-2.jpg);
    background-size: cover;
}
.section-amenities .page-title {
    font-size: 50px;
    line-height: 65px;
    font-weight: 400;
}
.section-amenities .bg-amenities {
    background-color: rgba(255, 255, 255, 0.65);
    padding: 120px 0px;
}

.section-reviews .bg-reviews {
    background-color: #f8f4f1;
    padding: 15px 20px 20px;
    text-align: center;
    margin-bottom: 160px;
}
.section-reviews .name {
    display: block;
    font-size: 16px;
}
.section-reviews .date {
    display: block;
    font-size: 12px;
    color: #b7916d;
}

.section-video-tour {
    position: relative;
}
.section-video-tour .call-to-action {
    position: absolute;
    font-size: 86px;
    line-height: 87px;
    font-weight: 600;
    background-image: linear-gradient(to right, #002840 28%, #ffffff 28%);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    text-align: end;
    z-index: 2;
    width: 56%;
    left: 0;
}
.section-video-tour .video {
    position: relative;
    background-image: url(../img/video-inst-cover.jpg);
    background-size: cover;
    background-position: center;
    width: 85%;
    height: 500px;
    display: flex;
    align-items: end;
    justify-content: left;
    color: #ffffff;
    z-index: 1;
}

.section-instagram {
    margin-top: 200px;
}
.section-instagram .page-title > div {
    font-size: 48px;
    font-weight: 200;
}

.section-events {
    background-color: #001b2d;
    padding: 100px 0px;
}
.section-events .page-title {
    color: #ffffff;
    font-size: 68px;
    line-height: 68px;
    font-weight: 200;
}

/*PAGES*/
.page-internal header.affix-top {
    background-color: #001b2d;
    padding: 10px 0;
    margin-top: 75px;
}
.bg-head {
    background: #ffffffe6;
    background: linear-gradient(0deg, #ffffffe6, #ffffff1a);
    width: 100%;
    height: 513px;
    position: relative;
    z-index: 1;
}
.bg-head .breadcrumb {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: start;
    height: 100%;
    flex-direction: column;
}
.bg-head .breadcrumb span {
    color: #001b2d;
    font-size: 65px;
    font-weight: 200;
    line-height: 50px;
    text-transform: none;
}
.bg-head-internal-1 {
    background-image: url(../img/bg-internal-1.jpg);
    background-size: contain;
    background-position: center;
    width: 100%;
    height: 75px;
    position: relative;
    z-index: 1;
}
.homeslider {
    position: relative;
    z-index: 1;
}
.slider-home::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    background: #01010180;
    background: linear-gradient(180deg, #01010180, #0101011f);
    z-index: 2;
}
.homeslider .caption {
    position: absolute;
    z-index: 9999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.page-internal .section-amenities {
    padding-bottom: 0px;
}
.page-internal .section-instagram {
    margin-top: 30px;
}

.page-internal .video {
    position: relative;
    z-index: 3;
}
.history {
    position: relative;
    background-color: #f8f4f1;
    padding: 80px 0;
    margin-top: 70px;
    min-height: 450px;
}
.slider-history .title {
    font-size: 32px;
    line-height: 32px;
    font-weight: 600;
    color: #00109f;
    margin-bottom: 15px;
}
.slider-history .desc {
    font-size: 20px;
    line-height: 32px;
}
.slider-history .tns-item {
    padding-right: 5rem !important;
    opacity: 0.25;
}
.slider-history .tns-item.active {
    margin-right: 5rem !important;
    opacity: 1;
}
.slider-history .tns-item.active .desc {
    padding-right: 5rem !important;
}
.history .controls {
    position: absolute;
    top: 50%;
    left: 14%;
    transform: translateY(-50%);
    width: 49%;
    display: flex;
    justify-content: space-between;
    padding: 0 80px;
    z-index: 4;
}
.history button {
    background: none;
    border: none;
    cursor: pointer;
}

/* ANINATION */
@keyframes entrance-fade-in-down {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
